apiVersion: apps/v1
kind: Deployment
metadata:
  name: sidekiq
spec:
  replicas: 1
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      app: sidekiq
  template:
    metadata:
      labels:
        app: sidekiq
    spec:
      containers:
      - name: sidekiq
        image: leopard/kubernetes-rails-example:latest
        imagePullPolicy: Always
        command: ["sidekiq"]
        env:
        - name: REDIS_PORT
          value: "6379"
        - name: RAILS_MASTER_KEY
          valueFrom:
            secretKeyRef:
              name: rails-secrets
              key: rails_master_key
        envFrom:
        - configMapRef:
            name: env
